
/**
Rahmenklasse zum Zeichen von Mustern aus Quadraten

- author: Albert Wiedemann
- version: 1.0
*/
class RekursiveGrafik
{
    /** Die Turtle zum Zeichnen */
    let turtle: Turtle

    /**
    Der Konstruktor legt die Turtle an.
    */
    init()
    {
        turtle = Turtle()
    }
    
    /**
	Zeichnet ein Quadrat mit gegebener Seitenlänge an der Stelle der Turtle
	- parameters:
		- länge: Seitenlänge des Quadrats
    */
    private func QuadratZeichnen(länge: Double)
    {
        for _ in 0 ..< 4
        {
            turtle.Gehen(länge: länge)
            turtle.Drehen(grad: -90)
        }
    }
    
    /**
	Zeichnet ein Element der Perlenkette
	- parameters:
		anzahl: (Rest-)anzahl der Quadrate
    */
    func PerlenketteZeichnen (anzahl: Int)
    {
        //Hier Rumpf implementieren
    }
}

let g = RekursiveGrafik()
g.PerlenketteZeichnen(anzahl: 10)
